body {
    overflow: hidden;
    transition: none;
    text-align: center;
}

.content-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    height: calc(100dvh - (var(--margin) * 2));
    overflow: hidden;
    padding: 0;
    margin: 0;
    /* width: fit-content; */
}

.section-wrapper {
    display: flex;
    transition: opacity 0.25s ease-in-out, transform 0s linear;
}

section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--margin);
    width: calc(100dvw - (var(--margin) * 2));
    min-width: calc(100dvw - (var(--margin) * 2));
    max-width: calc(100dvw - (var(--margin) * 2));

    margin: 0 0 0 60px;
}

section.first {
    margin-left: 0;
    margin-top: 0;
    margin: 0 0 0 0;
}

input[type="text"],
input[type="tel"],
input[type="email"],
textarea {
    background-color: rgba(249, 241, 231, 0.1);
    border: 2px solid rgba(249, 241, 231, 0.1);
    border-radius: 9.5px;
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    height: calc(var(--margin) * 3);
    color: var(--light);
    font-family: 'Instrument Sans', sans-serif;
    font-size: var(--small);
    padding: 0 var(--margin);
    transition: border 0.25s ease;
}

input[type="text"]:focus,
input[type="tel"]:focus,
input[type="email"]:focus,
textarea:focus {
    border-bottom: 2px solid var(--light);
    outline: none;
}

textarea {
    resize: vertical;
    max-height: 50dvh;
    min-height: calc(var(--margin) * 3);
    padding-top: 20px;
}

/* .textarea-gradient {
    background: #1D1D1D;
    background: linear-gradient(0deg, rgba(29, 29, 29, 0) 0%, rgba(29, 29, 29, 1) 100%);
} */

.slider {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    height: fit-content;
    margin: calc(var(--margin) / 2);
}

.steps {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    position: absolute;
}

.steps-texts {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    position: absolute;
    transform: translateY(calc((var(--margin) * 3) / 2));
}

.step {
    width: calc(var(--margin) / 2.5);
    height: calc((var(--margin) * 3) / 2.5);
    background: #9C9792;
    cursor: pointer;
    border-radius: 3px;
    outline: none;
    border: none;
    z-index: 1;
}

input[type="range"] {
    /* -webkit-appearance: none; */
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    height: 4px;
    background-color: #9C9792;
    outline: none;
    position: absolute;
    z-index: 2;
}

input[type="range"]::-webkit-slider-thumb,
input[type="range"]::-moz-range-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: calc(var(--margin) / 2);
    height: calc((var(--margin) * 3) / 2);
    background: var(--light);
    cursor: pointer;
    border-radius: 3px;
    outline: none;
    border: none;
}

section#time button {
    transform: translateY(calc((var(--margin) * 3) / 2));
}

.categories-wrapper {
    display: flex;
    max-width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    overflow: hidden;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: calc(var(--margin) / 3);
}

.category {
    height: calc(var(--small) * var(--button-height-multiplier));
    background-color: rgba(249, 241, 231, 0.1);
    border: 2px solid rgba(249, 241, 231, 0.2);
    color: rgba(249, 241, 231, 0.2);
    width: fit-content;
    border-radius: calc((var(--small) * var(--button-height-multiplier)) / 2);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 calc((var(--small) * var(--button-height-multiplier)) / 2);
    transition: 0.25s ease;
    cursor: pointer;
}

.category.active {
    color: var(--dark);
    background-color: var(--light);
    border: 2px solid rgba(249, 241, 231, 0);
}

input#different-category {
    width: fit-content;
    height: var(--small-text);
}

/* section#thanks .medium-text {
    max-width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    text-align: center;
} */

.progress-bar {
    display: flex;
    align-items: center;
    justify-content: center;
    height: fit-content;
    width: fit-content;
    position: absolute;
    bottom: var(--margin);
    left: 50%;
    transform: translateX(-50%);
    gap: calc(var(--margin) / 2);
    transition: 0.25s ease;
}

.progress-bar .line {
    width: var(--margin);
    height: 2px;
    background-color: rgba(249, 241, 231, 0.2);
    transition: 0.25s ease;
}

.progress-bar .dot {
    height: calc(var(--x-small) * var(--button-height-multiplier));
    width: calc(var(--x-small) * var(--button-height-multiplier));
    min-height: calc(var(--x-small) * var(--button-height-multiplier));
    min-width: calc(var(--x-small) * var(--button-height-multiplier));
    background-color: rgba(249, 241, 231, 0.1);
    border: 2px solid rgba(249, 241, 231, 0.1);
    border-radius: calc((var(--x-small) * var(--button-height-multiplier)) / 2);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.25s ease;
}

.progress-bar .dot .x-small-text,
.progress-bar .dot .check {
    display: none;
    color: var(--dark);
}

.progress-bar .dot.active .x-small-text {
    display: block;
}

.progress-bar .dot.active,
.progress-bar .dot.done {
    background-color: var(--light);
    border: none;
}

.progress-bar .dot.active {
    width: fit-content;
    padding: 0 8px;
}

.progress-bar .dot.active .x-small-text {
    white-space: nowrap;
}

.progress-bar .dot.done .check {
    display: block;
    height: var(--x-small);
}

.columns {
    height: 100dvh;
    width: calc(100dvw - (var(--margin) * 2));
    position: fixed;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 20px;
    top: 0;
    bottom: 0;
    z-index: 999;
    left: var(--margin);
    right: var(--margin);
    pointer-events: none;
    opacity: 0.0125;
}

.column {
    height: 100dvh;
    background-color: var(--light);
    width: calc((100dvw - 260px) / 12);
}

@media screen and (max-width: 767px) {
    body {
        margin: var(--margin) var(--margin) var(--margin) 0;
        /* Margin is all except left */
    }

    #bottom-gradient-blur {
        display: none;
    }

    .mobile-version {
        /* display: flex;
        pointer-events: all; */

        display: none;
        pointer-events: none;
    }

    .content-wrapper {
        display: block;
        pointer-events: all;

        /* display: none;
        pointer-events: none; */

        margin-left: var(--margin);
    }

    /** Components */

    :root {
        --x-small: 10px;
        --small: 13px;
        --medium-text: 16px;
        --big: 24px;
        --x-big: 40px;
    }

    .column#mobile-hidden {
        display: none;
    }

    .column {
        width: calc((100dvw - (3 * var(--margin))) / 4);
    }

    /* nav .right {
        display: none;
    } */

    nav .logo {
        max-width: 80.15px;
    }

    nav .logo:hover {
        width: 130px;
        max-width: 130px;
        scale: 1;
    }

    button::after {
        box-shadow: inset 0 0 0 3px var(--light);
    }

    /** Input elements */

    input[type="text"],
    input[type="tel"],
    input[type="email"],
    textarea,
    .slider,
    .steps,
    .steps-texts,
    input[type="range"] {
        /* width: calc(50vw - 30px); */
        width: calc(100dvw - (var(--margin) * 2));
    }

    .categories-wrapper,
    .slider {
        max-width: calc(100dvw - (var(--margin) * 2));
    }

    .progress-bar .line {
        display: none;
    }
}